#include <QDebug>
#include <QPainter>
#include <QSvgRenderer>
#include "item.h"

void Item::paint(QPainter *painter, const QStyleOptionGraphicsItem *, QWidget *)
{
    const QBrush blackBrush(Qt::black);
    const QBrush whiteBrush(Qt::white);
    const QPen blackPen(Qt::black, 1);
    QSvgRenderer keyRenderer(QLatin1String(":/blkey.svg"));

    painter->setBrush(m_black ? blackBrush : whiteBrush);
    painter->setPen(blackPen);
    painter->drawRect(rect());
    if (m_black) {
        keyRenderer.render(painter, rect());
    }
}
