#include <QApplication>
#include <QGraphicsView>
#include "mainwindow.h"
#include "scene.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
    resize(400, 200);
    setWindowTitle(QLatin1String("QSvgRenderer test"));
    m_view = new QGraphicsView(this);
    setCentralWidget(m_view);
    m_scene = new Scene();
    m_view->setScene(m_scene);
}

void MainWindow::showEvent(QShowEvent *event)
{
    QMainWindow::showEvent(event);
    m_view->fitInView(m_scene->sceneRect(), Qt::KeepAspectRatio);
}

void MainWindow::resizeEvent(QResizeEvent *event)
{
    QMainWindow::resizeEvent(event);
    m_view->fitInView(m_scene->sceneRect(), Qt::KeepAspectRatio);
}
