#include <QtMath>
#include "scene.h"
#include "item.h"

const int KEYWIDTH = 18;
const int KEYHEIGHT = 72;
const int numKeys = 13;
const qreal sceneWidth = KEYWIDTH * qCeil( numKeys * 7.0 / 12.0 );

Scene::Scene(QObject * parent): QGraphicsScene( QRectF(0, 0, sceneWidth, KEYHEIGHT), parent)
{
    int startKey = 0;
    int upperLimit = numKeys + startKey;
    int adj = startKey % 12;
    if (adj >= 5) adj++;
    for(int i = startKey; i < upperLimit; ++i)
    {
        qreal x = 0;
        Item* key = nullptr;
        int ocs = i / 12 * 7;
        int j = i % 12;
        if (j >= 5) j++;
        if ((j % 2) == 0) {
            x = (ocs + qFloor((j-adj) / 2.0)) * KEYWIDTH;
            key = new Item( QRectF(x, 0, KEYWIDTH, KEYHEIGHT), false );
        } else {
            x = (ocs + qFloor((j-adj) / 2.0)) * KEYWIDTH + KEYWIDTH * 6/10 + 1;
            key = new Item( QRectF( x, 0, KEYWIDTH * 8/10 - 1, KEYHEIGHT * 6/10 ), true );
            key->setZValue( 1 );
        }
        addItem( key );
    }
    QGraphicsSimpleTextItem* text = new QGraphicsSimpleTextItem(QString("Qt %1").arg(QT_VERSION_STR));
    text->setPos(sceneWidth * 3/5, KEYHEIGHT * 7/10);
    text->setBrush(QBrush(Qt::red));
    text->setZValue( 2 );
    addItem( text );
}
